#ifndef USER_MODBUS_SLAVE_PRESENT
#define USER_MODBUS_SLAVE_PRESENT

#include "type.h"

// 打开设备和允许中断
void Modbus_Open();

// 任务主体
void Modbus_Task(void *p_arg);

// Modbus(RS485接口）工作模式：单向发送，向上位机发送数据, 每30秒向上位机发送一个心跳。
void Slave_IRQHandler(USART_Handle *huart);
// RF串口发送帧的循环缓冲
extern loopbuff_t Modbus_SendM;
// RF串口接收的消息通知
extern SemaphoreHandle_t	   Modbus_SendQ;    // 二值信号量句柄

extern uint8_t Modbus_sendBuff[];

#endif

